#!/usr/bin/python

import up2dateAuth
import up2dateLog
import xmlrpclib
import rpcServer
import hardware

try:
    from rhn import rpclib
except ImportError:
    rpclib = __import__("xmlrpclib")


log = up2dateLog.initLog()

def updateHardware():
    s = rpcServer.getServer()

    
    hardwareList = hardware.Hardware()
    s.registration.refresh_hw_profile(up2dateAuth.getSystemId(),
                                          hardwareList)
